
Name:           python-axon
%define modname Axon
BuildRequires:  python-devel
URL:            http://kamaelia.sourceforge.net/
# http://kamaelia.sourceforge.net/Docs/Axon.html
License:        Mozilla tri-license scheme (MPL/GPL/LGPL)
Group:          Productivity/Networking/DNS/Utilities
Autoreqprov:    on
Version:        1.5.1
Release:        1.3
Summary:        Python module to build concurrent systems 
Source:         http://downloads.sourceforge.net/kamaelia/Axon-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description

Axon is a collection of pure python modules from the Kamaelia project
which allow you to build concurrent systems in a compositional manner
using communicating python generators. Components are python generators
are augmented by inbox and outbox queues (lists) for communication in a
CSP like fashion. Version 1.1.0 also adds in the facility for writing
components using threads as well as using generators.

Put another way this allows you to build complex systems easily out of
small concurrent components in a fashion similar to unix pipelines, except
rather than being limited to just stdin/stdout you can have whatever
inputs/outputs you desire. (The defaults are inbox/outbox,
control/signal)

See http://kamaelia.sourceforge.net/Docs/Axon.html

Authors:
--------
    Michael.Sparks at rd.bbc.co.uk

%prep
%setup -n %{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc AUTHORS
%doc CHANGELOG
%doc COPYING
%doc Docs
%doc Examples
%doc PKG-INFO
%doc README

%changelog
* Sat Sep 27 2008 poeml@suse.de
- initial add (1.5.1)
